"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Sections;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Section = _interopRequireDefault(require("react-styleguidist/lib/client/rsg-components/Section"));

var _SectionsRenderer = _interopRequireDefault(require("./SectionsRenderer"));

function Sections(_ref) {
  var sections = _ref.sections,
      depth = _ref.depth;
  return _react.default.createElement(_SectionsRenderer.default, null, sections.filter(function (section) {
    return !section.href;
  }).map(function (section, idx) {
    return _react.default.createElement(_Section.default, {
      key: idx,
      section: section,
      depth: depth
    }) // eslint-disable-line react/no-array-index-key
    ;
  }));
}

Sections.propTypes = {
  sections: _propTypes.default.array.isRequired,
  root: _propTypes.default.bool,
  // eslint-disable-line
  depth: _propTypes.default.number.isRequired
};
module.exports = exports.default;