"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Components;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ReactComponent = _interopRequireDefault(require("react-styleguidist/lib/client/rsg-components/ReactComponent"));

var _ComponentsRenderer = _interopRequireDefault(require("./ComponentsRenderer"));

function Components(_ref) {
  var components = _ref.components,
      depth = _ref.depth,
      exampleMode = _ref.exampleMode,
      usageMode = _ref.usageMode;
  return _react.default.createElement(_ComponentsRenderer.default, null, components.map(function (component) {
    return _react.default.createElement(_ReactComponent.default, {
      key: component.filepath,
      component: component,
      exampleMode: exampleMode,
      usageMode: usageMode,
      depth: depth
    });
  }));
}

Components.propTypes = {
  components: _propTypes.default.array.isRequired,
  depth: _propTypes.default.number.isRequired,
  exampleMode: _propTypes.default.string.isRequired,
  usageMode: _propTypes.default.string.isRequired
};
module.exports = exports.default;