"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UsageModes = exports.ExampleModes = exports.DisplayModes = void 0;
// @flow
var DisplayModes = Object.freeze({
  // Show all sections and components (default)
  all: 'all',
  // Show one section
  section: 'section',
  // Show one component
  component: 'component',
  // Show one example inside component or section
  example: 'example',
  // Show error 404
  notFound: 'notFound'
});
exports.DisplayModes = DisplayModes;
var ExampleModes = Object.freeze({
  hide: 'hide',
  collapse: 'collapse',
  expand: 'expand'
});
exports.ExampleModes = ExampleModes;
var UsageModes = Object.freeze({
  hide: 'hide',
  collapse: 'collapse',
  expand: 'expand'
});
exports.UsageModes = UsageModes;